package examples;

/**
 * This class contains methods to explain default values for primitive data
 * types. 
 * Also contains methods to explain int to char conversion
 */
public class IntToCharExample {
    // global variables defined to identify default values
    byte bByte;
    boolean bBool;
    short sVal;
    char cVal;
    int iVal;
    long lVal;
    float fVal;
    double dVal;
    
    /*
    method to print default values for primitive types
    */
    public void defaultValues(){
        System.out.println("byte value :"+bByte);
        System.out.println("bBool value :"+bBool);
        System.out.println("sVal value :"+sVal);
        System.out.println("cVal value :"+cVal);
        System.out.println("iVal value :"+iVal);
        System.out.println("lVal value :"+lVal);
        System.out.println("fVal value :"+fVal);
        System.out.println("dVal value :"+dVal);

    }
    
    /*
    method to check int to char
    */
    public void intToChar(){
        int i = 65;
        char c = (char)i;
        System.out.println("Value of c is :"+c);

        // conversion to a non-printable ASCII
        i=1;
        c=(char)i;
        System.out.println("Non-printable ASCII. Value of c is :"+c);
        
        // conversion to a printable ASCII
        i=51;
        c=(char)i;
        System.out.println("Printable ASCII. Value of c is :"+c);
        
    }

    /*
    method to check Character.forDigit() implementation
    */
    public void forDigit() {
        // radix 10 
        int radix=10, digit=9;
        System.out.println("Conversion of digit 9 to radix 10:"+
                Character.forDigit(digit, radix));
        radix=10; digit=20;
        System.out.println("Conversion of digit 20 to radix 10:"+
                Character.forDigit(digit, radix));
        
        // radix 16
        radix=16; digit=10;
        System.out.println("Conversion of digit 10 to radix 16:"+
                Character.forDigit(digit, radix));
        radix=16; digit=20;
        System.out.println("Conversion of digit 20 to radix 16:"+
                Character.forDigit(digit, radix));
        
        
    }
}
